Docs
Search the docs
Find a page in the docs

API reference

Retrieve a checkout

Get a checkout by id.

GET /v1/checkouts/{checkout_id}

Path parameters

checkout_id string required
The checkout id, starting with chk_.

Request

curl https://api.camelpayment.com/v1/checkouts/chk_01JBX9C3D4E5F6G7H8J9KMNPQR \
  -H "Authorization: Bearer $CAMEL_API_KEY"

Response

200
{
  "id": "chk_01JBX9C3D4E5F6G7H8J9KMNPQR",
  "object": "checkout",
  "mode": "hosted",
  "provider": null,
  "connection_id": null,
  "provider_checkout_id": null,
  "amount": 850000,
  "currency": "ARS",
  "charge": null,
  "items": [
    {
      "name": "Desk lamp",
      "quantity": 2,
      "unit_amount": 425000
    }
  ],
  "status": "completed",
  "provider_status": null,
  "checkout_url": "https://camelpayment.com/pay/chk_01JBX9C3D4E5F6G7H8J9KMNPQR",
  "success_url": "https://shop.example.com/orders/1524/return",
  "cancel_url": "https://shop.example.com/orders/1524",
  "external_reference": "ORDER-1524",
  "metadata": {
    "order_id": "1524"
  },
  "expires_at": "2026-11-13T15:04:05Z",
  "created_at": "2026-11-12T15:04:05Z",
  "updated_at": "2026-11-12T15:04:05Z"
}

Errors

StatusWhen
401 The API key is missing, malformed, or revoked.
404 No checkout with this id in this environment.
429 Too many requests. Wait for Retry-After seconds.